import { get, post } from '@/api/request'
export default {
  // 首页
  index: () => get("/staff/exam/exam_log/get_home_exam/"),

  // 习题练习
  mock_examination_a: () => get("/staff/practise/dict/"), //taba 数据
  mock_examination_b: query => get("/staff/practise/", query),//tabb 数据
  exam: query => post(`/staff/practise/`, query),//跳转练习题页面

  // 模拟考试
  mock_examination_type: () => get("/staff/mock/dict/"), //科目类型
  mock_examination_list: query => get("/staff/mock/exam_paper/", query),//页面数据
  mock_examination_exam: query => post("/staff/mock/exam_log/", query),//跳转模拟考试页面


  // 错题集
  wrongquestion_sort: query => get("/staff/errorbook/", query),//页面数据
  wrongquestion_type: () => get("/staff/errorbook/dict/"),// 科目类型

  // 考试记录
  examinationrecord_a: query => get("/staff/exam/exam_log/", query),//正式考试记录
  examinationrecord_b: query => get("/staff/mock/exam_log/", query),//模拟考试记录
  mock_examination_report: query => get(`/staff/${query.type}/exam_log/${query.id}/`),//考试报告


  // 知识库
  knowledgebase_data: query => get("/staff/knowledge/", query),//获取数据
  knowledgebase_tree: () => get("/staff/practise/dict/"),//树形结构数据
  knowledgebase_error: query => post("/staff/knowledge/feedback/", query),//错误反馈

  // 正式考试
  formal_examination: () => get("/staff/exam/exam_log/get_exam/")
}